Bug 412675 - Using color theme chooser in e.g. Kate on second HiDPI screen with scaling => no further repaints/broken window
Summary: Using color theme chooser in e.g. Kate on second HiDPI screen with scaling =>...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-frameworkintegration
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-06 13:42 UTC by Christoph Cullmann
Modified: 2019-10-07 17:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.64


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Cullmann 2019-10-06 13:42:45 UTC
SUMMARY

Using color theme chooser in e.g. Kate on second HiDPI screen with scaling => no further repaints/broken window

STEPS TO REPRODUCE
1. Open e.g. Kate
2. Move the Kate window to a second display with scaled output (e.g. scaling 2x) on X11
3. Select a color scheme in Settings -> Color Theme

OBSERVED RESULT

Window only shows artifacts, like in the "Konsole calls winId on non-native window" bug 411965.

EXPECTED RESULT

Color theme change.

This happens if you e.g. use the Fusion style, then all is fine.

SOFTWARE/OS VERSIONS

master build on X11, Qt 5.13.1
Comment 1 Christoph Cullmann 2019-10-06 13:46:53 UTC
Ok, it is an framework integration bug.
Comment 2 Christoph Cullmann 2019-10-06 13:51:37 UTC
https://phabricator.kde.org/D24442
Comment 3 Christoph Cullmann 2019-10-07 16:59:25 UTC
Git commit 93c19fbfa125b802ef24e687b81063cf88417fbe by Christoph Cullmann.
Committed on 07/10/2019 at 16:59.
Pushed by cullmann into branch 'master'.

ensure winId() not called on non-native widgets

Summary:
if we do that, window will be corrupted

Test Plan: Use Kate, change color theme on a second screen with scaling

Reviewers: #frameworks, dfaure

Reviewed By: dfaure

Subscribers: broulik, kde-frameworks-devel

Tags: #frameworks

Differential Revision: https://phabricator.kde.org/D24442

M  +2    -1    src/kstyle/kstyle.cpp

https://commits.kde.org/frameworkintegration/93c19fbfa125b802ef24e687b81063cf88417fbe